<?php
	include_once(__DIR__."/../../core.php");
	
	switch( $html->form('op', 'post') ){
		case "update":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$descrizione = save($_POST['descrizione']);				
				$query = "UPDATE agenda_stati SET descrizione=\"$descrizione\"  WHERE idstatoagenda=\"".$id_record."\"";
				$rs = $dbo->query( $query );
				array_push( $_SESSION['infos'], "Informazioni salvate correttamente!" );
			}
			break;

		case "add":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$idstatoagenda = save( $_POST['idstatoagenda'] );
				$descrizione = save( $_POST['descrizione'] );				
				$query = "INSERT INTO agenda_stati( idstatoagenda, descrizione ) VALUES ( \"".$idstatoagenda."\", \"".$descrizione."\" )";
				$dbo->query($query);
				$id_record = $idstatoagenda;
				array_push( $_SESSION['infos'], "Nuovo stato aggiunto!" );
			}
			break;

		case "delete":
			if( $modules_info[$module_name]["permessi"] == 'rw' ){
				$query="DELETE FROM agenda_stati WHERE idstatoagenda=\"".$id_record."\"";
				$rs = $dbo->query($query);
			}
			break;
	}
?>
